Skip to content

Read File

POST/api/v1/retrieval/files/read

Read the parsed text content of a specific file.

Query ParametersExpand Collapse
organization_id: optional string
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string
Body ParametersJSONExpand Collapse
file_id: string

ID of the file to read.

index_id: string

ID of the index the file belongs to.

max_length: optional number

Maximum number of characters to read from the offset.

offset: optional number

Starting character offset.

ReturnsExpand Collapse
content: string

Parsed text content of the file.

Read File

curl https://api.cloud.llamaindex.ai/api/v1/retrieval/files/read \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "file_id": "file_id",
          "index_id": "idx-abc123"
        }'
{
  "content": "content"
}
Returns Examples
{
  "content": "content"
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/python/shared/mcp/